Criar campanha
curl --request POST \
--url https://api.example.com/v1/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Dia das mães",
"description": "Campanha em comemoração ao dia das mães",
"type": "advanced",
"state": "enabled",
"startAt": "2024-06-05T09:00:00-03:00",
"endAt": "2030-06-05T23:59:59-03:00",
"features": [
"coupons",
"referrals"
],
"tags": [
"mães",
"maio"
],
"attributes": {
"externalId": "123456"
}
}
'import requests
url = "https://api.example.com/v1/campaigns"
payload = {
"name": "Dia das mães",
"description": "Campanha em comemoração ao dia das mães",
"type": "advanced",
"state": "enabled",
"startAt": "2024-06-05T09:00:00-03:00",
"endAt": "2030-06-05T23:59:59-03:00",
"features": ["coupons", "referrals"],
"tags": ["mães", "maio"],
"attributes": { "externalId": "123456" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Dia das mães',
description: 'Campanha em comemoração ao dia das mães',
type: 'advanced',
state: 'enabled',
startAt: '2024-06-05T09:00:00-03:00',
endAt: '2030-06-05T23:59:59-03:00',
features: ['coupons', 'referrals'],
tags: ['mães', 'maio'],
attributes: {externalId: '123456'}
})
};
fetch('https://api.example.com/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}Campaigns
Criar campanha
Cria uma campanha e retorna seu identificador.
POST
/
v1
/
campaigns
Criar campanha
Corpo
application/json
Dados de criação
Nome da campanha
Exemplo:
"Dia das mães"
Descrição da campanha
Exemplo:
"Campanha em comemoração ao dia das mães"
Tipo da campanha
Opções disponíveis:
advanced, cartItem Exemplo:
"advanced"
Estado da campanha
Opções disponíveis:
draft, enabled, disabled, archived Exemplo:
"enabled"
Data de início da vigência da campanha.
É esperada uma string de timestamp no formato RFC3339.
Exemplo:
"2024-06-05T09:00:00-03:00"
Data de término da vigência da campanha.
É esperada uma string de timestamp no formato RFC3339.
Exemplo:
"2030-06-05T23:59:59-03:00"
Lista de recursos da campanha
Opções disponíveis:
coupons, referrals, loyalty, giveaways Exemplo:
["coupons", "referrals"]
Lista de tags da campanha
Exemplo:
["mães", "maio"]
Atributos customizados de chave e valor
Show child attributes
Show child attributes
Exemplo:
{ "externalId": "123456" }
Resposta
Created
Identificador genérico
Show child attributes
Show child attributes
Esta página foi útil?
⌘I